Bug 569135 - [abrt] crash in wallpapoz-0.4.1-16.svn92_trunk.fc12: wallpapoz_system.py:92:check_beryl:ValueError: invalid literal for int() with base 10: 'om on any window.'
Summary: [abrt] crash in wallpapoz-0.4.1-16.svn92_trunk.fc12: wallpapoz_system.py:92:c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wallpapoz
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:243a2a02
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-28 11:08 UTC by luka
Modified: 2010-03-13 02:31 UTC (History)
1 user (show)

Fixed In Version: wallpapoz-0.4.1-18.svn92_trunk.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-13 02:22:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (803 bytes, text/plain)
2010-02-28 11:08 UTC, luka
no flags Details

Description luka 2010-02-28 11:08:40 UTC
abrt 1.0.7 detected a crash.

architecture: i686
cmdline: python /usr/bin/daemon_wallpapoz
component: wallpapoz
executable: /usr/bin/daemon_wallpapoz
kernel: 2.6.31.12-174.2.22.fc12.i686
package: wallpapoz-0.4.1-16.svn92_trunk.fc12
reason: wallpapoz_system.py:92:check_beryl:ValueError: invalid literal for int() with base 10: 'om on any window.'
release: Fedora release 12 (Constantine)

backtrace
-----
wallpapoz_system.py:92:check_beryl:ValueError: invalid literal for int() with base 10: 'om on any window.'

Traceback (most recent call last):
  File "/usr/bin/daemon_wallpapoz", line 90, in <module>
    wallpapozxml = XMLProcessing()
  File "../share/wallpapoz/lib/xml_processing.py", line 49, in __init__
    wallpapoz_system = WallpapozSystem()
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 38, in __init__
    self.check_beryl()
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 92, in check_beryl
    self.geometry_width = int(geometry[0])
ValueError: invalid literal for int() with base 10: 'om on any window.'

Local variables in innermost frame:
geometry: ['om on any window.']
self: <wallpapoz_system.WallpapozSystem instance at 0x97615ec>
raw_geometry: 'om on any window.'

Comment 1 luka 2010-02-28 11:08:42 UTC
Created attachment 396856 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2010-02-28 13:20:21 UTC
Would you
- provide the exact procedure how to reproduce this issue
  in detail?
- attach your
  * ~/.wallpapoz/wallpapoz.xml
  * ~/.xsession-errors ?
- What desktop environment are you using and how many workspaces
  do you have? Also would you tell me if you have some desktop
  effect enabled?

Comment 3 Mamoru TASAKA 2010-02-28 15:48:37 UTC
Ah, okay, actually for some reason 
$ xprop -root _NET_DESKTOP_GEOMETRY returned 
"_NET_DESKTOP_GEOMETRY: no such atom on any window." in this case,
perhaps.

Comment 4 Fedora Update System 2010-02-28 18:12:40 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc13

Comment 5 Fedora Update System 2010-02-28 18:15:35 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc12

Comment 6 Fedora Update System 2010-02-28 18:16:17 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc11

Comment 7 Fedora Update System 2010-02-28 18:16:51 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc11

Comment 8 Fedora Update System 2010-03-01 01:38:32 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-03-02 01:01:40 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpapoz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3262

Comment 10 Fedora Update System 2010-03-13 02:22:03 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-03-13 02:31:15 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.